post
https://backstage.taboola.com/backstage/api/1.0//campaigns_group
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Overview
Create a new campaign group under a specific account. Submit a JSON object representing the group in the request body.
The response is the newly-created campaign group as a full JSON object.
Required fieldsSubmitting an incomplete set of required fields (see Campaign Groups Overview) returns
400 Bad Request.
Example - Required fields only
POST /backstage/api/1.0/taboola-demo-advertiser/campaigns_group{
"name": "Demo Campaign Group",
"language": "en",
"marketing_objective": "MOBILE_APP_INSTALL",
"spending_limit": 1000,
"spending_limit_model": "MONTHLY",
"bid_strategy": "FIXED"
}{
"id": 123,
"account_id": "taboola-demo-advertiser",
"name": "Demo Campaign Group",
"language": "en",
"daily_cap": 0.0,
"spending_limit": 1000,
"spending_limit_model": "MONTHLY",
"start_date": "2023-04-24",
"start_date_in_utc": "2023-04-24 00:00:00",
"end_date": "9999-12-31",
"end_date_in_utc": "9999-12-31 23:59:59",
"is_active": true,
"bid_strategy": "FIXED",
"status": "RUNNING",
"daily_ad_delivery_model": "BALANCED",
"marketing_objective": "MOBILE_APP_INSTALL"
}
Read-only fields in the responseThe response includes
id,start_date_in_utc,end_date_in_utc, andstatuseven though they were not in the request. These are set server-side.
200200
